library(yuima)

## Single

## Model settings
set.seed(123)
ymodel <- setModel(drift = "alpha1*x", diffusion = "sqrt(beta1)")
ysamp <- setSampling(Terminal = 1000^(1/3), n = 1000)
yuima <- setYuima(model = ymodel, sampling = ysamp)
simu <- simulate(yuima, xinit = 1, true.parameter = list(alpha1 = -1, beta1 = 2))
Xt <- simu@data@original.data

## Parameter settings
init <- list(alpha1 = -1, beta1 = 0.5)
lower <- list(alpha1 = -3, beta1 = 0.001)
upper <- list(alpha1 = -0.001, beta1 = 3) 

## Use IC
ic <- IC(yuima = yuima, data = Xt, start = init, lower = lower, 
         upper = upper, rcpp = TRUE)




